#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework kross

%define rel 2

Summary:        KDE Frameworks 5 Tier 3 solution for application scripting
Name:           kf5-%framework
Version: 5.116.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/portingAids/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)

BuildRequires:  cmake(KF5Completion)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5TextWidgets)

Obsoletes:      kross < 5.114.0-2
Provides:       %{framework} = %{version}-%{release}


%description
KDE Frameworks 5 Tier 3 solution for application scripting.

%files -f %{framework}5.lang
%_kf5_bindir/kf5kross
%_qt5_plugindir/krossmoduleforms.so
%_qt5_plugindir/krossmodulekdetranslation.so
%_qt5_plugindir/krossqts.so
%_qt5_plugindir/script/krossqtsplugin.so
%_kf5_mandir/man1/kf5kross.1.*
%_kf5_mandir/*/man1/kf5kross.1.*

#--------------------------------------------------------------------

%define kf5krosscore_major 5
%define libkf5krosscore %mklibname kf5krosscore %{kf5krosscore_major}

%package -n %libkf5krosscore
Summary:        KDE Frameworks 5 Tier 3 solution for application scripting
Group:          System/Libraries
Recommends:     %{name} >= %version-%release

%description -n %libkf5krosscore
KDE Frameworks 5 Tier 3 solution for application scripting.

%files -n %libkf5krosscore
%_kf5_libdir/libKF5KrossCore.so.%{kf5krosscore_major}{,.*}

#--------------------------------------------------------------------

%define kf5krossui_major 5
%define libkf5krossui %mklibname kf5krossui %{kf5krossui_major}

%package -n %libkf5krossui
Summary:        KDE Frameworks 5 Tier 3 solution for application scripting
Group:          System/Libraries
Recommends:     %{name} >= %version-%release

%description -n %libkf5krossui
KDE Frameworks 5 Tier 3 solution for application scripting.

%files -n %libkf5krossui
%_kf5_libdir/libKF5KrossUi.so.%{kf5krossui_major}{,.*}

#--------------------------------------------------------------------

%define kf5kross_devel %mklibname kf5kross -d

%package -n %kf5kross_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5krosscore = %version-%release
Requires:       %libkf5krossui = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5kross_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5kross_devel
%_kf5_includedir/KrossCore/
%_kf5_includedir/KrossUi/
%_kf5_includedir/kross_version.h
%_kf5_libdir/cmake/KF5Kross/
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang %{framework}5


%changelog
* Sun Jul 21 2024 wally <wally> 5.116.0-2.mga10
+ Revision: 2082188
- update kross obsoletes version (mga#33416)

* Mon May 20 2024 daviddavid <daviddavid> 5.116.0-1.mga10
+ Revision: 2064962
- New version 5.116.0

* Mon Feb 12 2024 daviddavid <daviddavid> 5.115.0-1.mga10
+ Revision: 2040587
- New version 5.115.0

* Mon Feb 05 2024 daviddavid <daviddavid> 5.114.0-2.mga10
+ Revision: 2037242
- rebuild to remove old pkgs from kross

* Sat Jan 20 2024 daviddavid <daviddavid> 5.114.0-1.mga10
+ Revision: 2032336
- New version 5.114.0

* Sun Jan 07 2024 daviddavid <daviddavid> 5.113.0-2.mga10
+ Revision: 2028796
- obsoletes/provides properly old kross name

* Sat Jan 06 2024 daviddavid <daviddavid> 5.113.0-1.mga10
+ Revision: 2028423
- New version 5.113.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952070
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947873
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941379
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935029
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922280
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911644
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900248
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887684
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880630
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871761
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853648
- New version 5.93.0

* Wed Apr 06 2022 umeabot <umeabot> 5.92.0-2.mga9
+ Revision: 1846101
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.92.0

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754858
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749110
- New version 5.87.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735291
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723484
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714878
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702056
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691148
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653364
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633215
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625640
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612347
- New version 5.73.0

* Thu Jul 09 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603375
- New version 5.72.0

* Wed Jun 17 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1593902
- New version 5.71.0

* Sun May 10 2020 wally <wally> 5.70.0-2.mga8
+ Revision: 1582630
- obsolete old python2 interpreters pkg

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582040
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566531
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556708
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546920
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486844
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466253
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457638
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451020
- New version 5.63.0

* Tue Sep 24 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1445265
- New version 5.62.0

* Wed Jul 24 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1423726
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386960
- New version 5.57.0

* Sun Mar 31 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1382841
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374997
- New version 5.56.0
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364562
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356764
- New version 5.54.0
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339241
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318988
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298652
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247338
- New version 5.49.0

* Thu May 17 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1230222
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192307
- New version 5.42.0

* Thu Dec 28 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1186203
- New version 5.41.0

* Tue Oct 03 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1167939
- New version 5.38.0
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140425
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123526
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088989
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074561
- New version 5.29.0

* Tue Dec 06 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072772
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058380
- New version 5.27.0

* Sun Sep 11 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1051405
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045135
- New version 5.25.0

* Wed Jul 13 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041708
- New version 5.24.0

* Sun Jun 19 2016 tmb <tmb> 5.23.0-1.mga6
+ Revision: 1036281
- add missing tarball
+ neoclust <neoclust>
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014365
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999608
- New version 5.21.0

* Mon Mar 07 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986966
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942274
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921329
- New version 5.18.0

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909919
- New version 5.17.0
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900605
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899585
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898966
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888206
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881430
- New version 5.14.0

* Tue Aug 25 2015 pterjan <pterjan> 5.13.0-2.mga6
+ Revision: 869224
- Rebuild with gcc 5

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862991
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862674
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 28 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 858530
- New version 5.12.0
- New version 5.12.0

* Sun Jul 05 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 850700
- New version 5.11.0

* Fri Dec 19 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 804109
- New version
- New version 5.1.0
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 600029
- New version 4.97.0

* Thu Feb 27 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597528
- imported package kross

